// MQ-2 TEST
//
//
//                                                  www.Marotronics.de
//
// Pin---Wiring to Arduino Uno ( Mega ) 
//
// Sensor
// A0---Analog pins
// D0---Digital pins ( TTL )
// GND---GND
// VCC---5V
//
// Zustands Led rot und grün können weggelassen werden zum Test.
// Ausgabe dann aber nur über Seriellen Monitor.
//
// digital pin 12 --- rote Led
// digital pin 11 --- grüne Led
//
// hoher Wert Smoke ( Gas )
// kleiner Wert kein Smoke ( kein Gas )
//
//     Es können auch andere MQ-Sensoren hiermit getestet werden. 
//---------------------------------------------------------------------

int redLed = 12;
int greenLed = 11;
int smokeA0 = A5;

int sensorThres = 400;

void setup() {
  pinMode(redLed, OUTPUT);
  pinMode(greenLed, OUTPUT);
  pinMode(smokeA0, INPUT);
  Serial.begin(9600);
}

void loop() {
  int analogSensor = analogRead(smokeA0);
  
  Serial.print("<->  www.Marotronics.de  <->");  
  Serial.print("       MQ-2 Sensor Test  > > >    ");  
  Serial.print("Pin A0 : ");
  Serial.println(analogSensor);
  
  if (analogSensor > sensorThres)
  {
    digitalWrite(redLed, HIGH);
    digitalWrite(greenLed, LOW);
  }
  else
  {
    digitalWrite(redLed, LOW);
    digitalWrite(greenLed, HIGH);
  }
  delay(1000);
}


